<?php
/*
	Begin creating admin options
*/

$themename = THEMENAME;
$shortname = SHORTNAME;

$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array(
	0		=> "Choose a category"
);
foreach ($categories as $category_list ) {
       $wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}

$pages = get_pages(array('parent' => -1));
$wp_pages = array(
	0		=> "Choose a page"
);
foreach ($pages as $page_list ) {
       $wp_pages[$page_list->ID] = $page_list->post_title;
}


$pp_handle = opendir(TEMPLATEPATH.'/fonts');
$pp_font_arr = array();

while (false!==($pp_file = readdir($pp_handle))) {
	if ($pp_file != "." && $pp_file != ".." && $pp_file != ".DS_Store" && $pp_file != ".svn") {
		$pp_file_name = basename($pp_file, '.js');
		
		if($pp_file_name != 'Quicksand_300.font')
		{
			$pp_name = explode('_', $pp_file_name);
		
			$pp_font_arr[$pp_file_name] = $pp_name[0];
		}
	}
}
closedir($pp_handle);
asort($pp_font_arr);


$options = array (
 
//Begin admin header
array( 
		"name" => $themename." Options",
		"type" => "title"
),
//End admin header
 

//Begin first tab "General"
array( 
		"name" => "General",
		"type" => "section"
)
,

array( "type" => "open"),

array( "name" => "Your Logo (Image URL)",
	"desc" => "Enter the URL of image that you want to use as the logo",
	"id" => $shortname."_logo",
	"type" => "text",
	"std" => "",
),
array( "name" => "Google Analytics Domain ID ",
	"desc" => "Get analytics on your site. Simply give us your Google Analytics Domain ID (something like UA-123456-1)",
	"id" => $shortname."_ga_id",
	"type" => "text",
	"std" => ""

),
array( "name" => "Google Maps API key ",
	"desc" => "Get maps on your site. Simply give us your Google Maps API key (<a href=\"http://code.google.com/apis/maps/signup.html\">You can get it here</a>)",
	"id" => $shortname."_gm_key",
	"type" => "text",
	"std" => ""

),
array( "name" => "Custom Favicon",
	"desc" => "A favicon is a 16x16 pixel icon that represents your site; paste the URL to a .ico image that you want to use as the image",
	"id" => $shortname."_favicon",
	"type" => "text",
	"std" => "",
),

array( "name" => "Footer text",
	"desc" => "Enter footer text ex. copyright description",
	"id" => $shortname."_footer_text",
	"type" => "textarea",
	"std" => ""
),

array( "name" => "Your email address",
	"desc" => "Enter which email address will be sent from contact form",
	"id" => $shortname."_contact_email",
	"type" => "text",
	"std" => ""
),

array( "name" => "Custom CSS",
	"desc" => "You can add your custom CSS here",
	"id" => $shortname."_custom_css",
	"type" => "textarea",
	"std" => ""

),
	
array( "type" => "close"),
//End first tab "General"


//Begin first tab "Font"
array( 
		"name" => "Font",
		"type" => "section"
)
,

array( "type" => "open"),

array( "name" => "Header Font",
	"desc" => "Select font for header text",
	"id" => $shortname."_font",
	"type" => "select",
	"options" => $pp_font_arr,
	"std" => "Colaborate"
),
array( "name" => "H1 Size (in pixels)",
	"desc" => "",
	"id" => $shortname."_h1_size",
	"type" => "jslider",
	"size" => "40px",
	"std" => "34",
	"from" => 13,
	"to" => 60,
	"step" => 1,
),
array( "name" => "H2 Size (in pixels)",
	"desc" => "",
	"id" => $shortname."_h2_size",
	"type" => "jslider",
	"size" => "40px",
	"std" => "28",
	"from" => 13,
	"to" => 60,
	"step" => 1,
),
array( "name" => "H3 Size (in pixels)",
	"desc" => "",
	"id" => $shortname."_h3_size",
	"type" => "jslider",
	"size" => "40px",
	"std" => "24",
	"from" => 13,
	"to" => 60,
	"step" => 1,
),
array( "name" => "H4 Size (in pixels)",
	"desc" => "",
	"id" => $shortname."_h4_size",
	"type" => "jslider",
	"size" => "40px",
	"std" => "20",
	"from" => 13,
	"to" => 60,
	"step" => 1,
),
array( "name" => "H5 Size (in pixels)",
	"desc" => "",
	"id" => $shortname."_h5_size",
	"type" => "jslider",
	"size" => "40px",
	"std" => "18",
	"from" => 13,
	"to" => 60,
	"step" => 1,
),
array( "name" => "H6 Size (in pixels)",
	"desc" => "",
	"id" => $shortname."_h6_size",
	"type" => "jslider",
	"size" => "40px",
	"std" => "16",
	"from" => 13,
	"to" => 60,
	"step" => 1,
),
	
array( "type" => "close"),
//End first tab "Font"


//Begin first tab "Colors"
array( 
		"name" => "Colors",
		"type" => "section"
)
,

array( "type" => "open"),

array( "name" => "Font Color",
	"desc" => "Select color for the font (default #999999)",
	"id" => $shortname."_font_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#999999"

),

array( "name" => "Link Color",
	"desc" => "Select color for the link (default #188edc)",
	"id" => $shortname."_link_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#188edc"

),

array( "name" => "Hover Link Color",
	"desc" => "Select color for the hover link (default #38a5ee)",
	"id" => $shortname."_hover_link_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#38a5ee"

),

array( "name" => "H1, H2, H3, H4, H5, H6 Color",
	"desc" => "Select color for the H1, H2, H3, H4, H5, H6 (default #ffffff)",
	"id" => $shortname."_h1_font_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#ffffff"

),

array( "name" => "Caption Header Font Color",
	"desc" => "Select color for the caption header font (default #188edc)",
	"id" => $shortname."_caption_header_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#188edc"

),

array( "name" => "Caption Font Color",
	"desc" => "Select color for the caption font (default #ffffff)",
	"id" => $shortname."_caption_font_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#ffffff"

),

array( "name" => "Button Background Color",
	"desc" => "Select color for the button background (default #0d5785)",
	"id" => $shortname."_button_bg_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#0d5785"

),

array( "name" => "Button Font Color",
	"desc" => "Select color for the button font (default #ffffff)",
	"id" => $shortname."_button_font_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#ffffff"

),

array( "name" => "Button Border Color",
	"desc" => "Select color for the button border (default #0d5785)",
	"id" => $shortname."_button_border_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#0d5785"

),

array( "name" => "Footer Font Color",
	"desc" => "Select color for the footer font (default #999999)",
	"id" => $shortname."_footer_font_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#999999"

),

array( "name" => "Footer Link Color",
	"desc" => "Select color for the footer link (default #ffffff)",
	"id" => $shortname."_footer_link_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#ffffff"

),

array( "name" => "Footer Hover Link Color",
	"desc" => "Select color for the footer hover link (default #999999)",
	"id" => $shortname."_footer_hover_link_color",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#999999"

),

array( "type" => "close"),
//End first tab "Colors"


//Begin second tab "Slider"
array( "name" => "Slider",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Slider sort by",
	"desc" => "Select sorting type for contents in slider",
	"id" => $shortname."_slider_sort",
	"type" => "select",
	"options" => array(
		'DESC' => 'Newest First',
		'ASC' => 'Oldest First',
	),
	"std" => "ASC"
),

array( "name" => "Slider items",
	"desc" => "How many items you want display in slider?",
	"id" => $shortname."_slider_items",
	"type" => "jslider",
	"size" => "40px",
	"std" => "60",
	"from" => 1,
	"to" => 200,
	"step" => 1,
),

array( "name" => "Enable auto scroll",
	"desc" => "Select if you want to enable auto scroll for slider",
	"id" => $shortname."_homepage_auto_scroll",
	"type" => "iphone_checkboxes",
	"std" => 1
),

array( "name" => "Slider scroll speed",
	"desc" => "Enter auto scroll speed for slider",
	"id" => $shortname."_gallery_slider_speed",
	"type" => "jslider",
	"size" => "40px",
	"std" => "5",
	"from" => 1,
	"to" => 20,
	"step" => 1,
),

array( "name" => "Slider images rows",
	"desc" => "How many rows you want display in slider?",
	"id" => $shortname."_slider_rows",
	"type" => "jslider",
	"size" => "40px",
	"std" => "3",
	"from" => 1,
	"to" => 10,
	"step" => 1,
),

array( "name" => "Slider image widh",
	"desc" => "Enter image's width display in slider?",
	"id" => $shortname."_slider_img_width",
	"type" => "jslider",
	"size" => "40px",
	"std" => "240",
	"from" => 200,
	"to" => 500,
	"step" => 1,
),

array( "name" => "Slider image height",
	"desc" => "Enter image's height display in slider?",
	"id" => $shortname."_slider_img_height",
	"type" => "jslider",
	"size" => "40px",
	"std" => "160",
	"from" => 120,
	"to" => 240,
	"step" => 1,
),

array( "name" => "Slider images opacity (in %)",
	"desc" => "How slider image's opacity",
	"id" => $shortname."_slider_opacity",
	"type" => "jslider",
	"size" => "40px",
	"std" => "40",
	"from" => 10,
	"to" => 100,
	"step" => 1,
),

array( "name" => "Show welcome box on Homepage",
	"desc" => "Select if you want to show or hide welcome box on homepage",
	"id" => $shortname."_homepage_hide_welcome",
	"type" => "iphone_checkboxes",
	"std" => 1
),

array( "name" => "Welcome box title text",
	"desc" => "Enter text to display in homepage welcome box header",
	"id" => $shortname."_homepage_welcome_title",
	"type" => "text",
	"std" => "Welcome...",
),

array( "name" => "Welcome box description text",
	"desc" => "Enter text to display in homepage welcome box description",
	"id" => $shortname."_homepage_welcome_desc",
	"type" => "text",
	"std" => "with extensive admin panel, customize every parts of the theme so what are you waiting for?",
),

array( "type" => "close"),
//End second tab "Slider"


//Begin second tab "Homepage"
array( "name" => "Homepage",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Home Left Content",
	"desc" => "You can text or HTML in here",
	"id" => $shortname."_home_left_content",
	"type" => "textarea",
	"std" => ""

),

array( "name" => "Home Right Content",
	"desc" => "You can text or HTML in here",
	"id" => $shortname."_home_right_content",
	"type" => "textarea",
	"std" => ""

),

array( "type" => "close"),
//End second tab "Homepage"


//Begin second tab "Portfolio"
array( "name" => "Portfolio",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Portfolio styles",
	"desc" => "Select the columns style for the portfolio",
	"id" => $shortname."_portfolio_style",
	"type" => "select",
	"options" => array(
		2 => 'Large',
		3 => 'Medium',
		4 => 'Small',
	),
	"std" => 1
),
array( "name" => "Portfolio sort by",
	"desc" => "Select sorting type for contents in portfolio",
	"id" => $shortname."_portfolio_sort",
	"type" => "select",
	"options" => array(
		'DESC' => 'Newest First',
		'ASC' => 'Oldest First',
	),
	"std" => "ASC"
),
array( "name" => "Show Portfolio slider",
	"desc" => "Select if you want to show or hide Portfolio slider",
	"id" => $shortname."_portfolio_hide_slider",
	"type" => "iphone_checkboxes",
	"std" => 1
),
array( "name" => "Portfolio slider sort by",
	"desc" => "Select sorting type for contents in portfolio slider",
	"id" => $shortname."_portfolio_slider_sort",
	"type" => "select",
	"options" => array(
		'DESC' => 'Newest First',
		'ASC' => 'Oldest First',
	),
	"std" => "ASC"
),
array( "name" => "Portfolio items per page",
	"desc" => "Enter how many items get displayed in portfolio page (default is 12 items)",
	"id" => $shortname."_portfolio_items",
	"type" => "jslider",
	"size" => "40px",
	"std" => "12",
	"from" => 1,
	"to" => 20,
	"step" => 1,
),
array( "name" => "Show view button",
	"desc" => "Select if you want to show or hide view button on portfolio",
	"id" => $shortname."_portfolio_hide_view",
	"type" => "iphone_checkboxes",
	"std" => 1
),
array( "name" => "View button text",
	"desc" => "Enter text to display in view button",
	"id" => $shortname."_portfolio_view_title",
	"type" => "text",
	"std" => "View",
),

array( "type" => "close"),
//End second tab "Portfolio"


//Begin second tab "Sidebar"
array( "name" => "Sidebar",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Add a new sidebar",
	"desc" => "Enter sidebar name",
	"id" => $shortname."_sidebar0",
	"type" => "text",
	"std" => "",
),
array( "type" => "close"),
//End second tab "Sidebar"


//Begin second tab "Blog"
array( "name" => "Blog",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Custom Blog Page Title",
	"desc" => "Enter title text to display in Blog template",
	"id" => $shortname."_blog_title",
	"type" => "text",
	"std" => "Blog",
),
array( "name" => "Read more button text",
	"desc" => "Enter text to display in Read more button",
	"id" => $shortname."_blog_read_more_title",
	"type" => "text",
	"std" => "Read More",
),
array( "name" => "Show About author module",
	"desc" => "Select display about the author in single blog page ",
	"id" => $shortname."_blog_display_author",
	"type" => "iphone_checkboxes",
	"std" => 1
),
array( "name" => "Show Related posts module",
	"desc" => "Select display related posts in single blog page ",
	"id" => $shortname."_blog_display_related",
	"type" => "iphone_checkboxes",
	"std" => 1
),
array( "type" => "close"),
//End second tab "Blog"

 
array( "type" => "close")
 
);
?>